#ifndef BLACK_SCHOLES_CUDA_SDK_HPP
#define BLACK_SCHOLES_CUDA_SDK_HPP

////////////////////////////////////////////////////////////////////////////////
//Process an array of optN options on GPU
////////////////////////////////////////////////////////////////////////////////
void CudaSdkBlackScholesGPU(
    float *d_CallResult,
    const float *d_StockPrice,
    const float *d_OptionStrike,
    const float *d_OptionYears,
    float Riskfree,
    float Volatility,
    int optN
    );

#endif
