#ifndef COMPARE_HPP
#define COMPARE_HPP

#include <barracuda.hpp>

#include <cassert>
#include <cstdio>

#include <boost/test/floating_point_comparison.hpp>
using boost::test_tools::check_is_close;
using boost::test_tools::percent_tolerance;


bool compare(float v1, float v2);
bool compare_arrays(const float_array &a1, const float_array &a2);
bool compare_matrices(const float_matrix &a1, const float_matrix &a2);


#endif
